osl::effect::EffectedNumTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::effect::EffectedNumTable Class Reference

`#include <effectedNumTable.h>`

Collaboration diagram for osl::effect::EffectedNumTable:
[legend]

## Public Member Functions
| EffectedNumTable ()
| EffectedNumTable (SimpleState const &)
const EffectedNum & | operator[] (int i) const
void | clear ()
EffectedNum & | operator[] (int i)

## Private Attributes
CArray< EffectedNum, 40 > | contents

## Detailed Description

Definition at line 43 of file effectedNumTable.h.

## Constructor & Destructor Documentation

osl::effect::EffectedNumTable::EffectedNumTable | ( | ) |  |
| inline

Definition at line 51 of file effectedNumTable.h.

References clear().

osl::effect::EffectedNumTable::EffectedNumTable | ( | SimpleState const & | state) |  |

Definition at line 13 of file effectedNumTable.cc.

References osl::Board_Table, osl::dirToMask(), osl::PtypeTable::getMoveMask(), osl::BoardTable::getOffsetForBlack(), osl::inverse(), osl::Square::isEdge(), osl::Piece::isOnBoard(), osl::Piece::number(), osl::Piece::owner(), osl::Piece::ptype(), osl::Ptype_Table, osl::shortToLong(), osl::Piece::square(), and osl::WHITE.

## Member Function Documentation

void osl::effect::EffectedNumTable::clear | ( | ) |  |

Definition at line 8 of file effectedNumTable.cc.

References contents.

Referenced by EffectedNumTable().

const EffectedNum& osl::effect::EffectedNumTable::operator[] | ( | int | i) |  | const
| inline

Definition at line 53 of file effectedNumTable.h.

References contents.

EffectedNum& osl::effect::EffectedNumTable::operator[] | ( | int | i) |  |
| inline

Definition at line 57 of file effectedNumTable.h.

References contents.

## Member Data Documentation

CArray<EffectedNum,40> osl::effect::EffectedNumTable::contents
| private

Definition at line 49 of file effectedNumTable.h.

Referenced by clear(), and operator[]().

The documentation for this class was generated from the following files:

- effectedNumTable.h
- effectedNumTable.cc